indexing

	description: "Class that gets stat structure through stat call."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #3 $"

deferred class

	ABSTRACT_STATUS_PATH


inherit

	ABSTRACT_STATUS

	PORTABLE_PATH
		rename
			portable_path as path
		export
			{ANY} path
		end


feature {ABSTRACT_FILE_SYSTEM} -- Creation

	make (a_path: STRING) is
			-- Create a new status record.
		require
			path_not_empty: a_path /= Void and then not a_path.is_empty
		do
			make_stat
			set_filename (a_path)
		end


feature -- state change commands

	refresh is
			-- Refresh the cached status information
		local
			cpath: POINTER
		do
			cpath := sh.string_to_pointer (path)
			safe_call (abstract_stat (cpath, stat.ptr))
		end

	set_filename (a_path: STRING) is
			-- Change for which filename the statistics are
			-- kept. Statistics are immediately refreshed.
		require
			path_not_empty: a_path /= Void and then not a_path.is_empty
		do
			set_portable_path (a_path)
			refresh
		end

feature {NONE} -- abstract API

	abstract_stat (a_path: POINTER; a_stat: POINTER): INTEGER is
			-- Gets information about a file
		require
			valid_path: a_path /= default_pointer
			valid_stat_buffer: a_stat /= default_pointer
		deferred
		ensure
			-- Result = -1 implies errno.is_not_ok
		end


invariant

	non_empty_path: path /= Void and then not path.is_empty

end
