indexing

	description: "Body that is stored in a file."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #1 $"

class

	EPX_MIME_BODY_FILE


inherit

	EPX_MIME_BODY_TEXT


creation

	make


feature {NONE} -- Initialization

	make is
			-- Initialize text body.
		do
			create file.make
		end


feature -- Queries

	as_string: STRING is
			-- Return `file'.
		local
			buf: STDC_BUFFER
		do
			from
				file.rewind
				Result := ""
				create buf.allocate (8192)
			until
				file.eof
			loop
				file.read_buffer (buf, 0, 8192)
				Result.append_string (buf.substring (0, file.last_read))
			end
			file.rewind
		ensure then
			file_position_at_beginning: file.tell = 0
		end


feature -- Commands

	append_character (c: CHARACTER) is
			-- Extend `file' with `c' somehow.
		do
			file.write_character (c)
		end

	append_string (s: STRING) is
			-- Extend `file' with `s' somehow.
		do
			file.write_string (s)
		end

	finish is
			-- Called when body reading is finished.
		do
			file.rewind
		ensure then
			file_position_at_beginning: file.tell = 0
		end


feature -- State

	file: STDC_TEMPORARY_FILE
			-- The body as a file.


invariant

	file_not_void: file /= Void
	file_open: file.is_open

end
