indexing

	description: "Parser token codes"
	generator: "geyacc version 3.0"

class EPX_MIME_TOKENS

inherit

	YY_PARSER_TOKENS

feature -- Access

	token_name (a_token: INTEGER): STRING is
			-- Name of token `a_token'
		do
			inspect a_token
			when 0 then
				Result := "EOF token"
			when -1 then
				Result := "Error token"
			when FN_CONTENT_DISPOSITION then
				Result := "FN_CONTENT_DISPOSITION"
			when FN_CONTENT_LENGTH then
				Result := "FN_CONTENT_LENGTH"
			when FN_CONTENT_TYPE then
				Result := "FN_CONTENT_TYPE"
			when FN_DATE then
				Result := "FN_DATE"
			when FN_FROM then
				Result := "FN_FROM"
			when FN_MESSAGE_ID then
				Result := "FN_MESSAGE_ID"
			when FN_RECEIVED then
				Result := "FN_RECEIVED"
			when FN_RETURN_PATH then
				Result := "FN_RETURN_PATH"
			when FN_RESENT_FROM then
				Result := "FN_RESENT_FROM"
			when FN_RESENT_REPLY_TO then
				Result := "FN_RESENT_REPLY_TO"
			when FN_RESENT_SENDER then
				Result := "FN_RESENT_SENDER"
			when FN_SENDER then
				Result := "FN_SENDER"
			when FN_TO then
				Result := "FN_TO"
			when FN_VERSION then
				Result := "FN_VERSION"
			when ATOM then
				Result := "ATOM"
			when DOMAIN_LITERAL then
				Result := "DOMAIN_LITERAL"
			when QUOTED_STRING then
				Result := "QUOTED_STRING"
			when KW_BY then
				Result := "KW_BY"
			when KW_FOR then
				Result := "KW_FOR"
			when KW_FROM then
				Result := "KW_FROM"
			when KW_ID then
				Result := "KW_ID"
			when KW_MULTIPART then
				Result := "KW_MULTIPART"
			when KW_VIA then
				Result := "KW_VIA"
			when KW_WITH then
				Result := "KW_WITH"
			when KW_SUN then
				Result := "KW_SUN"
			when KW_MON then
				Result := "KW_MON"
			when KW_TUE then
				Result := "KW_TUE"
			when KW_WED then
				Result := "KW_WED"
			when KW_THU then
				Result := "KW_THU"
			when KW_FRI then
				Result := "KW_FRI"
			when KW_SAT then
				Result := "KW_SAT"
			when ENCODED_TEXT then
				Result := "ENCODED_TEXT"
			when ENCODED_WORD_START then
				Result := "ENCODED_WORD_START"
			when ENCODED_WORD_STOP then
				Result := "ENCODED_WORD_STOP"
			when FIELD_NAME then
				Result := "FIELD_NAME"
			when FIELD_BODY then
				Result := "FIELD_BODY"
			when CRLF then
				Result := "CRLF"
			when NULL_LINE then
				Result := "NULL_LINE"
			else
				Result := yy_character_token_name (a_token)
			end
		end

feature -- Token codes

	FN_CONTENT_DISPOSITION: INTEGER is 258
	FN_CONTENT_LENGTH: INTEGER is 259
	FN_CONTENT_TYPE: INTEGER is 260
	FN_DATE: INTEGER is 261
	FN_FROM: INTEGER is 262
	FN_MESSAGE_ID: INTEGER is 263
	FN_RECEIVED: INTEGER is 264
	FN_RETURN_PATH: INTEGER is 265
	FN_RESENT_FROM: INTEGER is 266
	FN_RESENT_REPLY_TO: INTEGER is 267
	FN_RESENT_SENDER: INTEGER is 268
	FN_SENDER: INTEGER is 269
	FN_TO: INTEGER is 270
	FN_VERSION: INTEGER is 271
	ATOM: INTEGER is 272
	DOMAIN_LITERAL: INTEGER is 273
	QUOTED_STRING: INTEGER is 274
	KW_BY: INTEGER is 275
	KW_FOR: INTEGER is 276
	KW_FROM: INTEGER is 277
	KW_ID: INTEGER is 278
	KW_MULTIPART: INTEGER is 279
	KW_VIA: INTEGER is 280
	KW_WITH: INTEGER is 281
	KW_SUN: INTEGER is 282
	KW_MON: INTEGER is 283
	KW_TUE: INTEGER is 284
	KW_WED: INTEGER is 285
	KW_THU: INTEGER is 286
	KW_FRI: INTEGER is 287
	KW_SAT: INTEGER is 288
	ENCODED_TEXT: INTEGER is 289
	ENCODED_WORD_START: INTEGER is 290
	ENCODED_WORD_STOP: INTEGER is 291
	FIELD_NAME: INTEGER is 292
	FIELD_BODY: INTEGER is 293
	CRLF: INTEGER is 294
	NULL_LINE: INTEGER is 295

end -- class EPX_MIME_TOKENS
