indexing

	description: "Class that covers the POSIX stream code."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $";
	revision: "$Revision: #3 $"

deferred class

	POSIX_FILE


inherit

	STDC_FILE

	POSIX_BASE

	PAPI_STDIO


feature  -- special makes

	make_from_file_descriptor (a_file_descriptor: ABSTRACT_FILE_DESCRIPTOR;
										a_mode: STRING) is
			-- Open a stream from a given file descriptor.
			-- The stream will become remains leading so when the file
			-- descriptor is closed, it will not close, you have to close
			-- the strema to close the file descriptor.
		require
			is_closed: not is_open
			valid_fildes:
				a_file_descriptor /= Void and then
				a_file_descriptor.is_open
			valid_mode: -- valid_mode: a_mode is a valid posix mode
		local
			cmode: POINTER
			a_stream: like stream
		do
			do_make
			cmode := sh.string_to_pointer (a_mode)
			a_stream := posix_fdopen (a_file_descriptor.value, cmode)
			if a_stream = default_pointer then
				raise_posix_error
			else
				mode := a_mode
				capacity := 1
				set_handle (a_stream, True)
				if a_file_descriptor.is_owner then
					a_file_descriptor.unown
				end
			end
		ensure
			opened: is_open
			owner: is_owner
			stream_is_leading: not a_file_descriptor.is_owner
		end


end
