/*

Access to Single Unix Specification netinet/in.h

*/

#ifndef _S_IN_H_
#define _S_IN_H_

#define _XOPEN_SOURCE 500

/* FreeBSD likes sys/stat.h */
#include <sys/stat.h>
#include <netinet/in.h>
#include "../supportc/eiffel.h"


/* network to host conversions */

EIF_INTEGER posix_htons (EIF_INTEGER host16value);
EIF_INTEGER posix_ntohs (EIF_INTEGER net16value);


/* struct sockaddr_in */

EIF_INTEGER posix_sockaddr_in_size();

EIF_INTEGER posix_sockaddr_in_sin_family(struct sockaddr_in *p);
EIF_INTEGER posix_sockaddr_in_sin_port(struct sockaddr_in *p);
EIF_POINTER posix_sockaddr_in_sin_addr(struct sockaddr_in *p);

void posix_set_sockaddr_in_sin_family(struct sockaddr_in *p, EIF_INTEGER sin_family);
void posix_set_sockaddr_in_sin_port(struct sockaddr_in *p, EIF_INTEGER sin_port);
void posix_set_sockaddr_in_sin_addr(struct sockaddr_in *p, EIF_POINTER sin_addr);


#endif /* _S_IN_H_ */
