indexing

	description: "Creates a temporary file that is removed when closed %
	%or when the program terminates."

	usage: "Only use the make feature, don't use create_read_write and such."

	author: "Berend de Boer"
	date: "$Date: 2003/01/09 $"
	revision: "$Revision: #2 $"

class

	STDC_TEMPORARY_FILE


inherit

	STDC_BINARY_FILE
		export
			{NONE} create_read_write, create_write, open, open_append, open_read, open_read_write, attach_to_stream
		end


creation

	make


feature {NONE} -- Initialization

	make is
			-- Open temporary file.
		local
			a_stream: like stream
		do
			do_make
			a_stream := posix_tmpfile
			if a_stream = default_pointer then
				raise_posix_error
			else
				capacity := 1
				set_handle (a_stream, True)
			end
		ensure
			file_is_open: is_open
			owner: is_owner
		end

end
