indexing

   description: "Standard C text file."

   author: "Berend de Boer"
   date: "$Date: 2002/02/06 $";
   revision: "$Revision: #2 $"

class

   STDC_TEXT_FILE

inherit

   STDC_FILE

creation

   create_read_write,
   create_write,
   open,
   open_append,
   open_read,
   open_read_write,
   attach_to_stream


feature -- text specific routines

   chop is
      obsolete "Use chop_last_string instead."
      do
         chop_last_string
      end

   chop_last_string is
         -- remove newline character (if any) from `last_string'
         -- only when the last characters from last_string are %N or
         -- %R%N, they're removed.
      do
         if last_string.count > 0 and then
            last_string.item (last_string.count) = '%N' then
            last_string.remove (last_string.count)
            if last_string.count > 0 and then
               last_string.item (last_string.count) = '%R' then
               last_string.remove (last_string.count)
            end
         end
      end


   put_nl, put_newline, write_nl, write_newline is
         -- write a single newline
      do
         write_string ("%N")
      end


feature {NONE}

   set_mode (a_mode: STRING) is
         -- set text mode
      require else
         binary_mode_flag_not_set: not is_binary_mode_specification (a_mode)
      local
         c: CHARACTER
      do
         c := a_mode.item (a_mode.count)
         inspect c
         when  'b',  'B' then
            do_raise ("It is not allowed to specify the binary flag %
                   %for text files.")
         when 't', 'T' then
            -- already ok
            mode := a_mode
         else
            -- it's not sure if every POSIX system allows this
            -- mode := a_mode + "t"
            mode := a_mode
         end
      end


end -- class STDC_TEXT_FILE
